package com.ruoyi.project.business.domain.vo.agent;

import com.ruoyi.project.business.domain.TbAgentTarget;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author fangk
 * @date 2024/5/16
 * @desc AgentTargetReq TODO
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class AgentTargetRes extends TbAgentTarget {

    
    
    /**
     * 代理商编号
     */
    private String agentNo;
    /**
     * 代理商名称
     */
    private String agentName;
    /**
     * 所属区域
     */
    private Long areaId;


    /**
     * 代理商类型
     */
    private String agentType;
    

    /**
     * 代理商等级
     */
    private String agentLevel;

    
}