package com.ruoyi.project.business.enums;


import com.ruoyi.common.exception.ServiceErrorException;
import lombok.AllArgsConstructor;
import lombok.Getter;

import static com.ruoyi.project.business.enums.ModuleEnum.DEVICE;

@AllArgsConstructor
@Getter
public enum AuditFlowEnum {

    /**
     * 设备入库
     */
    DEVICE_STORAGE(1, "设备入库", DEVICE),
    ;


    private Integer value;
    private String name;
    private ModuleEnum module;

    public static AuditFlowEnum from(Integer value) {
        for (AuditFlowEnum auditFlowEnum : values()) {
            if (auditFlowEnum.getValue().equals(value)) {
                return auditFlowEnum;
            }
        }
        throw new ServiceErrorException("非法的审批类型");
    }
}
