package com.ruoyi.project.common.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.common.domain.MessageChatContent;
import com.ruoyi.project.common.dto.MessageChatContentDto;

import java.util.List;

/**
 * 聊天记录Service接口
 *
 * @author jubs
 * @date 2024-05-14
 */
public interface IMessageChatContentService extends IService<MessageChatContent> {
    List<MessageChatContentDto> getMessageChatContentList(Long chatRoomId);

    List<MessageChatContentDto> getContentByUserIds(List<Long> userIds);

}
