package com.ruoyi.project.business.domain.flow;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.ruoyi.project.business.domain.system.SysAttachment;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class FlowAuditParam implements Serializable {

    @NotNull(message = "业务不能为空")
    private Long auditFlow;

    @NotNull(message = "业务id不能为空")
    private Long businessId;

    private List<Long> businessIds;

    @NotNull(message = "审批结果不能为空")
    private Integer status;

    private String remark;

    private Long promoter;

    private String auditUser;

    // 通过或驳回时为true
    private boolean finish = false;

    private String module;
    private String func;
    private String category;

    private List<Long> nextAuditUsers;
    private String businessData;
    private List<SysAttachment> attachmentList;

}
