package com.ruoyi.project.common.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.project.common.domain.MessageChat;
import com.ruoyi.project.common.dto.MessageChatDto;
import com.ruoyi.project.common.mapper.MessageChatMapper;
import com.ruoyi.project.common.service.IMessageChatService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 聊天室Service业务层处理
 *
 * @author jubs
 * @date 2024-05-14
 */
@Service
public class MessageChatServiceImpl extends ServiceImpl<MessageChatMapper, MessageChat> implements IMessageChatService {
    @Resource
    private MessageChatMapper messageChatMapper;


    @Override
    public List<MessageChatDto> getChatRoomByUserIds(List<Long> userIds, Long quotationId) {
        return messageChatMapper.getChatRoomByUserIds(userIds, quotationId);
    }
}
