import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listQuotation(query) {
  return request({
    url: '/business/quotation/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getQuotationDetail(id) {
  return request({
    url: '/business/quotation/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addQuotation(data) {
  return request({
    url: '/business/quotation',
    method: 'post',
    data: data
  })
}

export function copyVersion(data) {
  return request({
    url: '/business/quotation/copy',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateQuotation(data) {
  return request({
    url: '/business/quotation',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delQuotation(id) {
  return request({
    url: '/business/quotation/' + id,
    method: 'delete'
  })
}


